%global oname GMetrics

Name:          gmetrics
Version:       0.6
Release:       %mkrel 4
Summary:       Groovy library that provides reports and metrics for Groovy code
License:       ASL 2.0
Group:         Development/Java
Url:           http://gmetrics.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}/%{oname}-%{version}-bin.tar.gz
# remove gmaven
# remove codenarc
# change artifactId groovy-all in groovy
Patch0:        gmetrics-0.5-pom.patch
# replace runtime 1.5 witn runtime 1.8
# add groovy-all deps with generic version
Patch1:        gmetrics-0.6-antrun-plugin.patch

BuildRequires: java-devel

BuildRequires: ant
BuildRequires: groovy
BuildRequires: log4j
# groovy-all embedded libs
BuildRequires: antlr
BuildRequires: apache-commons-cli
BuildRequires: objectweb-asm
BuildRequires: fusesource-pom
BuildRequires: slf4j

# depend on rhbz#914056 BuildRequires: gmaven
BuildRequires: maven-local
BuildRequires: maven-antrun-plugin
BuildRequires: maven-enforcer-plugin

BuildArch:     noarch

%description
GMetrics provides calculation and reporting of size and
complexity metrics for Groovy source code, by scanning the
code with an Ant Task, applying a set of metrics, and
generating an HTML or XML report of the results.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}

# clean up
find . -name "*.jar" -delete
find . -name "*.class" -delete
rm -rf docs/*
%patch0 -p0
%patch1 -p0

sed -i "s|pom.version|project.version|" pom.xml

chmod 644 README.txt

for d in CHANGELOG.txt LICENSE.txt NOTICE.txt README.txt ; do
  sed -i 's/\r//' $d
done

%build

%mvn_file :%{oname} %{name}
%mvn_file :%{oname} %{oname}
# test skipped require Codenarc, circular deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGELOG.txt LICENSE.txt NOTICE.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Thu Sep 26 2013 dmorgan <dmorgan> 0.6-4.mga4
+ Revision: 486647
- Build with xmvn

* Sat Jul 13 2013 dmorgan <dmorgan> 0.6-3.mga4
+ Revision: 453822
- Fix build

* Sat Jan 12 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 351860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 0.6-1.mga3
+ Revision: 325765
- New version 0.6

* Mon Jan 09 2012 gil <gil> 0.3-3.mga2
+ Revision: 193588
- used %%{buildroot} instead of RPM_BUILD_ROOT
- fixed artifacts installation
- rebuilt with gmaven support
  used proper groovy version 1.6.x
  added  maven pom

* Fri Nov 04 2011 dmorgan <dmorgan> 0.3-2.mga2
+ Revision: 162659
- Requires asm3

* Fri Nov 04 2011 dmorgan <dmorgan> 0.3-1.mga2
+ Revision: 162605
- Adapt CLASSPATH
- Clean spec file

  + gil <gil>
    - imported package gmetrics

